version: "2.0"

rules:
  - rule: greet
    steps:
    - intent: greet
    - action: action_greet

  - rule: thank
    steps:
    - intent: thank
    - action: utter_noworries

  - rule: get_started
    steps:
    - intent: get_started
    - action: action_greet

  - rule: Submit user_info_form
    steps:
    - action: user_info_form
    - slot_was_set:
      - requested_slot: null
    - active_loop: null
    - action: action_submit_user_info

  - rule: break down user_info_form with intent greet
    condition:
    - active_loop: user_info_form
    steps:
    - intent: greet
    - action: action_deactivate_loop
    - active_loop: null
    - action: action_greet

  - rule: break down appt_info_form with intent greet
    condition:
    - active_loop: appt_info_form
    steps:
    - intent: greet
    - action: action_deactivate_loop
    - active_loop: null
    - action: action_greet

  - rule: break down change_appt_info_form with intent greet
    condition:
    - active_loop: change_appt_info_form
    steps:
    - intent: greet
    - action: action_deactivate_loop
    - active_loop: null
    - action: action_greet

  - rule: break down user_info_form with intent abort
    condition:
    - active_loop: user_info_form
    steps:
    - intent: abort
    - action: action_deactivate_loop
    - active_loop: null
    - action: action_reset_appt_info
    - action: utter_ask_need_help

  - rule: break down appt_info_form with intent abort
    condition:
    - active_loop: appt_info_form
    steps:
    - intent: abort
    - action: action_deactivate_loop
    - active_loop: null
    - action: action_reset_appt_info
    - action: utter_ask_need_help

  - rule: break down change_appt_info_form with intent abort
    condition:
    - active_loop: change_appt_info_form
    steps:
    - intent: abort
    - action: action_deactivate_loop
    - active_loop: null
    - action: action_reset_appt_info
    - action: utter_ask_need_help

  - rule: nlu_fallback
    steps:
    - intent: nlu_fallback
    - action: utter_default